POST
Update cardholder
Use this endpoint to update an existing cardholder's profile information.
Request
ApiKeyIssuing API key request header assigned by Onerway.
Example:
replace_with_issuing_api_keymerchantNoMerchant number assigned by Onerway.
Example:
88888cardholderIdCardholder ID to update.
Example:
300001firstNameCardholder first name.
lastNameCardholder last name.
emailCardholder email address.
mobileCardholder mobile number.
Example:
13800138000mobileAreaCodeMobile area code.
Example:
+86birthDayDate of birth.
Example:
1990-01-01nationalityNationality as an ISO 3166-1 alpha-2 code.
Example:
CNaddressCountryCodeAddress country or region code.
addressStateCodeState or province code.
addressCityCodeCity code.
addressDetailLine1Address line 1.
addressDetailLine2Address line 2.
addressPostalCodePostal code.
remarkRemark.
Example:
example remarkcurl -X POST 'https://sandbox-api.onerway.com/api/v1/merchant/cardholder/updateCardholder' \
-H 'ApiKey: replace_with_issuing_api_key' \
-H 'Content-Type: application/json' \
--data-raw '{
"addressCityCode": "GZ",
"addressCountryCode": "CN",
"addressDetailLine1": "Example address line 1",
"addressPostalCode": "510000",
"addressStateCode": "GD",
"cardholderId": 300001,
"email": "example_cardholder@example.com",
"firstName": "Alex",
"lastName": "Chen",
"merchantNo": 88888
}'Response
respCodeBusiness response code.
20000 means success.respMsgResponse message.
data{ cardholderId, firstName, ... }Updated cardholder information.
{
"respCode": "20000",
"respMsg": "success",
"data": {
"cardholderId": 300001,
"firstName": "Alex",
"lastName": "Chen",
"email": "example_cardholder@example.com",
"mobile": null,
"mobileAreaCode": null,
"birthDay": null,
"nationality": "CN",
"addressRegionCode": "CN",
"addressStateCode": "GD",
"addressCityCode": "GZ",
"addressDetailLine1": "Example address line 1",
"addressDetailLine2": null,
"addressPostalCode": "510000",
"remark": null
}
}No error responses are documented for this endpoint.